Description

Some of the SOLR query examples in event index design documents contain syntax errors and incorrect field names.

The affected documents are:

 http://mule1.dataone.org/ArchitectureDocs-current/design/LogAggregator.html and 

http://mule1.dataone.org/ArchitectureDocs-current/design/UsageStatistics.html

The correct endpoint for the logsolr service is 'https://cn.dataone.org/cn/v1/query/logsolr', not '

https://cn.dataone.org/cn/v1/query/logsolr'. The latter endpoint

causes the v1 'log' service to handle the request.

Some of the queries use incorrect field names, such as 'datetime' instead of 'dateLogged'. Some of the field queries use the wildcard

character '' at the beginning of the

search term (e.g. &fq=*eml, which causes a syntax error.

Also, some of the queries select or facet on protected fields, e.g. 'subject' and it should be clearly indicated that queries using

protected fields are subject to filtering according

to the DataONE authentication mechanism. This is alluded to in the 'Event Log Index' table in UsageStatistics.html and mentioned

elsewhere in this document, but maybe needs

to be mentioned in the examples also.

History

#1 - 2014-09-22 18:05 - Peter Slaughter

- Assignee set to Peter Slaughter

#2 - 2014-09-25 17:19 - Dave Vieglais

- Due date set to 2014-09-25

- Target version set to Maintenance Backlog

- Start date set to 2014-09-25

#3 - 2014-09-25 21:04 - Peter Slaughter

- Status changed from New to Closed

Edited versions of architecture/api-documentation/source/design/LogAggregator.txt and UsageStatistics.txt checked into trunk
